import { createStorageIsolation } from './localstorage-protector';
import { getOriginalLocalStorage } from '../local-storage';

createStorageIsolation({
  namespace: 'jolibox-sdk-test'
});

describe('getOriginalLocalStorage', () => {
  it('should return localStorage object', () => {
    const originalStorage = getOriginalLocalStorage();

    expect(originalStorage).toBeDefined();
    expect(typeof originalStorage.getItem).toBe('function');
    expect(typeof originalStorage.setItem).toBe('function');
    expect(typeof originalStorage.removeItem).toBe('function');
  });

  it('should be able to store and get data', () => {
    const originalStorage = getOriginalLocalStorage();
    const testKey = '__test_key__';
    const testValue = 'test-value';

    originalStorage.removeItem(testKey);

    originalStorage.setItem(testKey, testValue);

    // 验证数据是否正确存储
    expect(originalStorage.getItem(testKey)).toBe(testValue);
    expect(originalStorage.getItem('jolibox-sdk-test:__test_key__')).toBeNull();

    // 清理测试数据
    originalStorage.removeItem(testKey);
    expect(originalStorage.getItem(testKey)).toBeNull();
    expect(originalStorage.getItem('jolibox-sdk-test:__test_key__')).toBeNull();
  });
});
